language: node_js
os: linux
sudo: required
dist: trusty
before_install:
  - sudo apt-get install -y mesa-utils
  - sudo apt-get install -y xvfb
  - sudo apt-get install -y libgl1-mesa-dri
  - sudo apt-get install -y libglapi-mesa
  - sudo apt-get install -y libosmesa6
  - sudo apt-get install -y gcc-4.9
  - sudo apt-get install -y libstdc++6
  - sudo apt-get install -y libxi-dev
node_js:
  - "12"
  - "10"
  - "8"
before_script:
  - export DISPLAY=:99.0; sh -e /etc/init.d/xvfb start